gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecBoolean

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for boolean properties.

Synopsis

- newtype ParamSpecBoolean = ParamSpecBoolean (ManagedPtr ParamSpecBoolean)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoolean o) => IsParamSpecBoolean o
- toParamSpecBoolean :: (MonadIO m, IsParamSpecBoolean o) => o -> m ParamSpecBoolean

# Exported types

newtype ParamSpecBoolean Source #

Memory-managed wrapper type.

Constructors

ParamSpecBoolean (ManagedPtr ParamSpecBoolean) |

#### Instances

Instances details

Eq ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean Methods (==) :: ParamSpecBoolean -> ParamSpecBoolean -> Bool Source # (/=) :: ParamSpecBoolean -> ParamSpecBoolean -> Bool Source #
BoxedPtr ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean Methods boxedPtrCopy :: ParamSpecBoolean -> IO ParamSpecBoolean Source # boxedPtrFree :: ParamSpecBoolean -> IO () Source #
ManagedPtrNewtype ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean Methods toManagedPtr :: ParamSpecBoolean -> ManagedPtr ParamSpecBoolean Source #
TypedObject ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean Methods glibType :: IO GType Source #
HasParentTypes ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean
type ParentTypes ParamSpecBoolean Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean type ParentTypes ParamSpecBoolean = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoolean o) => IsParamSpecBoolean o Source #

Type class for types which can be safely cast to `ParamSpecBoolean`, for instance with `toParamSpecBoolean`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoolean o) => IsParamSpecBoolean o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoolean

toParamSpecBoolean :: (MonadIO m, IsParamSpecBoolean o) => o -> m ParamSpecBoolean Source #

Cast to `ParamSpecBoolean`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.